# Uses of Class
org.apache.lucene.internal.hppc.CharHashSet

Packages that use CharHashSet
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of CharHashSet in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return CharHashSet
  Modifier and Type
  Method
  Description
  `CharHashSet`
  CharHashSet.`clone()`
  `static CharHashSet`
  CharHashSet.`from(char... elements)`
  Create a set from a variable number of arguments or an array of `char`.
  Methods in org.apache.lucene.internal.hppc with parameters of type CharHashSet
  Modifier and Type
  Method
  Description
  `int`
  CharHashSet.`addAll(CharHashSet set)`
  Adds all elements from the given set to this set.
  `int`
  CharHashSet.`removeAll(CharHashSet other)`
  Removes all keys present in a given container.
  Constructors in org.apache.lucene.internal.hppc with parameters of type CharHashSet
  Modifier
  Constructor
  Description
  ``
  `CharHashSet(CharHashSet set)`
  New instance copying elements from another set.